Summary: Bforce, Fidonet mailer
Name: bforce
Version: 0.27
Release: %{_vendor}1
Copyright: GPL
Group: Fidonet/mailer
Source0: bforce-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root

%description
BFORCE is a FTN mailer. Supports PSTN and binkp sessions.

%prep
# uncomment this to build from tarball
# %setup -q -n %{name}
echo "------------ PREPARING RPM BUILD IN $(pwd) ------------"
export RPM_PACKAGE_VERSION=$(cat %{_builddir}/%{name}/source/.version)
cd %{_builddir}/%{name}/source
%{_builddir}/%{name}/source/configure --prefix=/usr --disable-log-passwd --sysconfdir=/etc/bforce --bindir=/usr/bin --with-owner=uucp --with-group=news CFLAGS='-g1'
	    	    	    
%build
echo "------------ BUILDING RPM IN $(pwd) ------------"
cd %{_builddir}/%{name}/source
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/bforce
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/
mkdir -p $RPM_BUILD_ROOT/var/log/bforce
mkdir -p $RPM_BUILD_ROOT/var/spool/fido/bt/pin
mkdir -p $RPM_BUILD_ROOT/var/spool/fido/bt/in
mkdir -p $RPM_BUILD_ROOT/var/spool/fido/ndl
mkdir -p $RPM_BUILD_ROOT/var/spool/fido/bforce
mkdir -p $RPM_BUILD_ROOT/$RPM_DOC_DIR/$RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION


install %{_builddir}/%{name}/source/bin/bforce	$RPM_BUILD_ROOT/usr/bin/bforce
install %{_builddir}/%{name}/source/bin/bfindex	$RPM_BUILD_ROOT/usr/bin/bfindex
install %{_builddir}/%{name}/source/bin/bfstat	$RPM_BUILD_ROOT/usr/bin/bfstat
install %{_builddir}/%{name}/source/bin/nlookup	$RPM_BUILD_ROOT/usr/bin/nlookup
install %{_builddir}/%{name}/examples/bforce.conf	$RPM_BUILD_ROOT/etc/bforce/bforce.conf.sample
install %{_builddir}/%{name}/examples/bforce.passwd	$RPM_BUILD_ROOT/etc/bforce/bforce.passwd.sample
install %{_builddir}/%{name}/examples/bforce.subst	$RPM_BUILD_ROOT/etc/bforce/bforce.subst.sample
install %{_builddir}/%{name}/examples/freq.aliases	$RPM_BUILD_ROOT/etc/bforce/freq.aliases.sample
install %{_builddir}/%{name}/examples/freq.dirs	$RPM_BUILD_ROOT/etc/bforce/freq.dirs.sample
install %{_builddir}/%{name}/contrib/outman	$RPM_BUILD_ROOT/usr/bin/outman
install %{_builddir}/%{name}/contrib/systemd/bforce.service	$RPM_BUILD_ROOT/usr/lib/systemd/system/bforce.service
cp %{_builddir}/%{name}/man/*.1 $RPM_BUILD_ROOT/usr/share/man/man1/
cp %{_builddir}/%{name}/{README.md,CHANGES,COPYING,INSTALL,INSTALL.ru,SYSLOG,TODO} $RPM_BUILD_ROOT/$RPM_DOC_DIR/$RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_mandir}/man1/bforce.1.xz
%{_mandir}/man1/bfindex.1.xz
%{_mandir}/man1/bfstat.1.xz
%{_mandir}/man1/nlookup.1.xz
%{_mandir}/man1/outman.1.xz
%defattr(-, root, root)

%attr(550,uucp,news) /usr/bin/bforce
%attr(550,uucp,news) /usr/bin/bfindex
%attr(550,uucp,news) /usr/bin/bfstat
%attr(550,uucp,news) /usr/bin/nlookup
%attr(550,uucp,news) /usr/bin/outman
%attr(644,root,root) /usr/share/doc/bforce-%{version}/*
%dir %attr(770,uucp,news)  /var/log/bforce
%dir %attr(770,uucp,news)  /var/spool/fido/ndl
%attr(775,uucp,news) /var/spool/fido/bt
%config %attr(600,uucp,news) /etc/bforce/bforce.conf.sample
%config %attr(600,uucp,news) /etc/bforce/bforce.subst.sample
%config %attr(600,uucp,news) /etc/bforce/bforce.passwd.sample
%config %attr(600,uucp,news) /etc/bforce/freq.aliases.sample
%config %attr(600,uucp,news) /etc/bforce/freq.dirs.sample

